Subject: bug#63288: 30.0.50; Emacs 30 packages fail to build with native comp on some machines

From: Pip Cet <[email-masked]>
Date: Wed, 29 Jan 2025 18:45:58 +0000

<[email-masked]> writes:

> On 2025-01-28T17:46:38.000+01:00, Pip Cet <[email-masked]> wrote:
>> Can you let me know the precise git revision that this is from?
>> I tried building the elc files in the order they appeared on your
>> machine, but no luck so far...
>
> Sure!
>
> commit b981889e9ee0a37f1bc8e2c9b90a5d154c1d032e on the emacs-30 branch

Thanks! I rebuilt with that branch, trying to order things just like you
did (this is hard given that the .elcs are written only when they are
done compiling, so there may well be reorderings beyond the ones there
appear to be).

This is the list of .elc files that differ in size still:

      2 ./cedet/semantic/db-ref.elc
      2 ./cedet/semantic/grm-wy-boot.elc
      2 ./cedet/semantic/idle.elc
      2 ./cedet/semantic/tag.elc
      2 ./emacs-lisp/bytecomp.elc
      2 ./emacs-lisp/multisession.elc
      2 ./emacs-lisp/package.elc
      2 ./emacs-lisp/warnings.elc
      2 ./erc/erc-button.elc
      2 ./erc/erc-common.elc
      2 ./erc/erc-fill.elc
      2 ./erc/erc-nicks.elc
      2 ./erc/erc-notify.elc
      2 ./erc/erc-pcomplete.elc
      2 ./erc/erc-stamp.elc
      2 ./erc/erc-track.elc
      2 ./erc/erc.elc
      2 ./eshell/esh-util.elc
      2 ./gnus/mml-sec.elc
      2 ./gnus/nnatom.elc
      2 ./gnus/nnfeed.elc
      2 ./mail/rmail.elc
      2 ./org/ob-core.elc
      2 ./org/org-compat.elc
      2 ./org/org-fold-core.elc
      2 ./org/org-list.elc
      2 ./org/org-src.elc
      2 ./org/org-table.elc
      2 ./progmodes/cc-awk.elc
      2 ./progmodes/cc-cmds.elc
      2 ./progmodes/cc-mode.elc
      2 ./progmodes/compile.elc
      2 ./progmodes/ebrowse.elc
      2 ./progmodes/eglot.elc
      2 ./progmodes/flymake-proc.elc
      2 ./progmodes/flymake.elc
      2 ./progmodes/opascal.elc
      2 ./progmodes/python.elc
      2 ./progmodes/verilog-mode.elc
      2 ./textmodes/bibtex.elc
      2 ./textmodes/enriched.elc
      2 ./url/url-handlers.elc
      2 ./use-package/use-package-core.elc
      2 ./vc/log-edit.elc
      2 ./vc/pcvs.elc

without going into too much detail, I think bytecomp.elc is not what it
should be.  Would it be possible for you to provide the 184350-byte
version you've seen in the broken build, and the (possibly 184350-byte)
version that produced a working Emacs?  The differences might be very
interesting.  Note that it is the .elc files that are interesting, not
their .el sources, and Emacs ignores the .elc extension when tab
completing by default.

(Those files are long; if you cat them together and pipe through zstd
-22 --ultra --long, the result should be short enough to send).

If you sill have time, warnings.elc may also be interesting.

Thanks!

Pip